# Interface ICefStreamReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefStreamReader = interface(ICefBaseRefCounted)`

## Description

Interface used to read data from a stream. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_reader_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefStreamReader

## Overview

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;`
| `function Seek(offset: Int64; whence: Integer): Integer;`
| `function Tell: Int64;`
| `function Eof: Boolean;`
| `function MayBlock: Boolean;`

## Description

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;`
Read raw binary data. ###### Attributes GUID['{DD5361CB-E558-49C5-A4BD-D1CE84ADB277}']

| `function Seek(offset: Int64; whence: Integer): Integer;`
Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

| `function Tell: Int64;`
Return the current offset position.

| `function Eof: Boolean;`
Return non-zero if at end of file.

| `function MayBlock: Boolean;`
Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

Generated by PasDoc 0.16.0-snapshot.